# particles

#### new particles(selection)

Constructor

Source:
  - component/particles.js, line 103

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) color(_v) → {*}

Color Getter / Setter

Source:
  - component/particles.js, line 252

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `string` | Color (e.g. "red" or "#ff0000").

##### Returns:

Type:
  `*`

#### (static) colors(_v) → {*}

Colors Getter / Setter

Source:
  - component/particles.js, line 264

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array` | Array of colours used by color scale.

##### Returns:

Type:
  `*`

#### (static) colorScale(_v) → {*}

Color Scale Getter / Setter

Source:
  - component/particles.js, line 240

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 color scale.

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - component/particles.js, line 192

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) mappings(_v) → {*}

Mappings Getter / Setter

Source:
  - component/particles.js, line 276

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | Map properties to colour etc.

##### Returns:

Type:
  `*`

#### (static) on() → {*}

Dispatch On Getter

Source:
  - component/particles.js, line 287

##### Returns:

Type:
  `*`

#### (static) xScale(_v) → {*}

X Scale Getter / Setter

Source:
  - component/particles.js, line 204

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) yScale(_v) → {*}

Y Scale Getter / Setter

Source:
  - component/particles.js, line 216

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) zScale(_v) → {*}

Z Scale Getter / Setter

Source:
  - component/particles.js, line 228

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`